    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.net.URLEncoder

    java.lang.Object
       |
       +----java.net.URLEncoder

public class URLEncoder
extends Object

The class contains a utility method for converting a `String` into a MIME format called "`x-www-form-urlencoded`" format.

To convert a `String`, each character is examined in turn:

- The ASCII characters '`a`' through '`z`', '`A`' through '`Z`', and '`0`' through '`9`' remain the same.
- The space character '`` ' is converted into a plus sign '`+`'.
- All other characters are converted into the 3-character string "`%xy`", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

##

encode(String)
  Translates a string into `x-www-form-urlencoded` format.

##

encode

     public static String encode(String s)

  Translates a string into `x-www-form-urlencoded` format.

  Parameters:
    s - `String` to be translated.
  Returns:
    the translated `String`.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.